# Generated from photo_rename-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name photo_rename

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Photo renamer
License: GPL
URL: http://github.com/tjaartvdwalt/photo_rename
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Rename JPG images in a directory based on the date in the file's mtime field.
By default the target file names are in the same format as those created by
Android devices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/photo_rename
%license %{gem_instdir}/COPYING
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/screenshots
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/photo_rename.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.1-1
- Initial package
